## jquery 1.7.2+dfsg

=== Makefile ===
SRC_DIR = src
TEST_DIR = test
BUILD_DIR = build

PREFIX = .
DIST_DIR = ${PREFIX}/dist

JS_ENGINE ?= `which node nodejs 2>/dev/null`
COMPILER = ${JS_ENGINE} ${BUILD_DIR}/uglify.js --unsafe
POST_COMPILER = ${JS_ENGINE} ${BUILD_DIR}/post-compile.js

BASE_FILES = ${SRC_DIR}/core.js\
	${SRC_DIR}/callbacks.js\
	${SRC_DIR}/deferred.js\
	${SRC_DIR}/support.js\
	${SRC_DIR}/data.js\
	${SRC_DIR}/queue.js\
	${SRC_DIR}/attributes.js\
	${SRC_DIR}/event.js\
	${SRC_DIR}/selector.js\
	${SRC_DIR}/traversing.js\
	${SRC_DIR}/manipulation.js\
	${SRC_DIR}/css.js\
	${SRC_DIR}/ajax.js\
	${SRC_DIR}/ajax/jsonp.js\
	${SRC_DIR}/ajax/script.js\
	${SRC_DIR}/ajax/xhr.js\
	${SRC_DIR}/effects.js\
	${SRC_DIR}/offset.js\
	${SRC_DIR}/dimensions.js\
	${SRC_DIR}/exports.js

MODULES = ${SRC_DIR}/intro.js\
	${BASE_FILES}\
	${SRC_DIR}/outro.js

JQ = ${DIST_DIR}/jquery.js
JQ_MIN = ${DIST_DIR}/jquery.min.js

SIZZLE_DIR = ${SRC_DIR}/sizzle

JQ_VER = $(shell cat version.txt)
VER = sed "s/@VERSION/${JQ_VER}/"

DATE=$(shell git log -1 --pretty=format:%ad)

all: update_submodules core

core: jquery min hint size
	@@echo "jQuery build complete."

${DIST_DIR}:
	@@mkdir -p ${DIST_DIR}

jquery: ${JQ}

${JQ}: ${MODULES} | ${DIST_DIR}
	@@echo "Building" ${JQ}

	@@cat ${MODULES} | \
		sed 's/.function..jQuery...{//' | \
		sed 's/}...jQuery..;//' | \
		sed 's/@DATE/'"${DATE}"'/' | \
		${VER} > ${JQ};

${SRC_DIR}/selector.js: ${SIZZLE_DIR}/sizzle.js
	@@echo "Building selector code from Sizzle"
	@@sed '/EXPOSE/r src/sizzle-jquery.js' ${SIZZLE_DIR}/sizzle.js | grep -v window.Sizzle > ${SRC_DIR}/selector.js

hint: jquery
	@@if test ! -z ${JS_ENGINE}; then \
		echo "Checking jQuery against JSHint..."; \
		${JS_ENGINE} build/jshint-check.js; \
	else \
		echo "You must have NodeJS installed in order to test jQuery against JSHint."; \
	fi

size: jquery min
	@@if test ! -z ${JS_ENGINE}; then \
		gzip -c ${JQ_MIN} > ${JQ_MIN}.gz; \
		wc -c ${JQ} ${JQ_MIN} ${JQ_MIN}.gz | ${JS_ENGINE} ${BUILD_DIR}/sizer.js; \
		rm ${JQ_MIN}.gz; \
	else \
		echo "You must have NodeJS installed in order to size jQuery."; \
	fi

freq: jquery min
	@@if test ! -z ${JS_ENGINE}; then \
		${JS_ENGINE} ${BUILD_DIR}/freq.js; \
	else \
		echo "You must have NodeJS installed to report the character frequency of minified jQuery."; \
	fi

min: jquery ${JQ_MIN}

${JQ_MIN}: ${JQ}
	@@if test ! -z ${JS_ENGINE}; then \
		echo "Minifying jQuery" ${JQ_MIN}; \
		${COMPILER} ${JQ} > ${JQ_MIN}.tmp; \
		${POST_COMPILER} ${JQ_MIN}.tmp; \
		rm -f ${JQ_MIN}.tmp; \
	else \
		echo "You must have NodeJS installed in order to minify jQuery."; \
	fi

clean:
	@@echo "Removing Distribution directory:" ${DIST_DIR}
	@@rm -rf ${DIST_DIR}

	@@echo "Removing built copy of Sizzle"
	@@rm -f src/selector.js

distclean: clean
	@@echo "Removing submodules"
	@@rm -rf test/qunit src/sizzle

# change pointers for submodules and update them to what is specified in jQuery
# --merge  doesn't work when doing an initial clone, thus test if we have non-existing
#  submodules, then do an real update
update_submodules:
	@@if [ -d .git ]; then \
		if git submodule status | grep -q -E '^-'; then \
			git submodule update --init --recursive; \
		else \
			git submodule update --init --recursive --merge; \
		fi; \
	fi;

# update the submodules to the latest at the most logical branch
pull_submodules:
	@@git submodule foreach "git pull \$$(git config remote.origin.url)"
	@@git submodule summary

pull: pull_submodules
	@@git pull ${REMOTE} ${BRANCH}

.PHONY: all jquery hint min clean distclean update_submodules pull_submodules pull core

## jquery 1.2.3-4

=== debian/changelog ===
jquery (1.2.3-4) unstable; urgency=low

  [ Steve Kemp ]
  * Moved to collaborative hosting:
    - http://git.debian.org/git/pkg-javascript/

  [ Daniel Baumann ]
  * Downgrading relation to javascript-common from depends to recommends.
  * Removing useless empty line on top of README.Debian.
  * Removing explicit appearance of README.Debian in dh_installdocs call, since
    this is taken automatically anyway.

 -- Steve Kemp <skx@debian.org>  Sat, 10 May 2008 16:17:18 +0000

jquery (1.2.3-3) unstable; urgency=medium

  * Renamed the binary package from 'jquery' to 'libjs-jquery'
    to follow the very early Javascript policy.

 -- Steve Kemp <skx@debian.org>  Sun, 6 Apr 2008 15:44:51 +0000

jquery (1.2.3-2) unstable; urgency=high

  * Updated to follow the very early Javascript policy.
    - Install files beneath /usr/share/javascript

 -- Steve Kemp <skx@debian.org>  Sat, 5 Apr 2008 15:14:13 +0000

jquery (1.2.3-1) unstable; urgency=low

  * Initial release.  (Closes: #473125)

 -- Steve Kemp <skx@debian.org>  Fri, 28 Mar 2008 15:14:13 +0000

=== debian/control ===
Source: jquery
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Marcelo Jorge Vieira <metal@alucinados.com>, Daniel Baumann <daniel@debian.org>, Steve Kemp <skx@debian.org>
Build-Depends: debhelper (>= 6)
Standards-Version: 3.7.3
Homepage: http://jquery.com/
Vcs-Browser: http://git.debian.org/?p=pkg-javascript/jquery.git
Vcs-Git: git://git.debian.org/git/pkg-javascript/jquery.git

Package: libjs-jquery
Architecture: all
Conflicts: jquery
Replaces: jquery
Depends: ${misc:Depends}
Recommends: javascript-common
Description: JavaScript library for dynamic web applications
 jQuery is a fast, concise, JavaScript Library that simplifies how you
 traverse HTML documents, handle events, perform animations, and add Ajax
 interactions to your web pages. jQuery is designed to change the way
 that you write JavaScript.

## jquery 1.2.6-1~bpo40+1

=== debian/changelog ===
jquery (1.2.6-1~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch-backports.
  * lower debhelper to 5.0 

 -- Jan Wagner <waja@cyconet.org>  Thu, 04 Sep 2008 23:29:49 +0200

jquery (1.2.6-1) unstable; urgency=low

  [ Steve Kemp ]
  * New upstream release

 -- Steve Kemp <skx@debian.org>  Fri, 18 Jul 2008 15:55:55 +0000

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: web
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Marcelo Jorge Vieira <metal@alucinados.com>, Daniel Baumann <daniel@debian.org>, Steve Kemp <skx@debian.org>
-Build-Depends: debhelper (>= 6)
-Standards-Version: 3.7.3
+Uploaders: Marcelo Jorge Vieira <metal@alucinados.com>, Daniel Baumann <daniel@debian.org>, Steve Kemp <skx@debian.org>, Jan Wagner <waja@cyconet.org>
+Build-Depends: debhelper (>= 5)
+Standards-Version: 3.8.0
 Homepage: http://jquery.com/
 Vcs-Browser: http://git.debian.org/?p=pkg-javascript/jquery.git
 Vcs-Git: git://git.debian.org/git/pkg-javascript/jquery.git

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot

	dh_clean

build:

install:

binary: binary-indep

binary-arch:

binary-indep:
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_link
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: clean build install binary binary-arch binary-indep

=== debian/watch ===
version=3
http://code.google.com/p/jqueryjs/downloads \
  .*jquery-(\d+(?:\.\d+){1,3}).js

## jquery 1.5

=== debian/changelog ===
jquery (1.5-2ubuntu1) natty; urgency=low

  * Merge from debian unstable. (LP: #713657) Remaining changes:
    - Drop Recommends: javascript-common to a Suggests:; there's no reason
      we need to publish these scripts via http by default.

 -- Angel Abad <angelabad@ubuntu.com>  Sat, 05 Feb 2011 15:05:39 +0100

jquery (1.5-2) unstable; urgency=low

  [Steve kemp]

  * Updated to mention the filesystem-path, as per #596212

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Fri, 04 Feb 2011 20:25:02 -0200

jquery (1.5-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version to 3.9.1 (no changes)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Thu, 03 Feb 2011 22:47:43 -0200

jquery (1.4.2-2ubuntu1) maverick; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Drop Recommends: javascript-common to a Suggests:; there's no reason
      we need to publish these scripts via http by default.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 04 Jun 2010 08:00:54 +0000

jquery (1.4.2-2) unstable; urgency=low

  * Setting debhelper version to >= 7.0.50~
    - Fixed lintian warning about debhelper overrides.

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 17 Mar 2010 23:14:37 -0300

jquery (1.4.2-1) unstable; urgency=low

  * New upstream release
  * Fixed watch file
  * Updating package to debhelper 7
  * Minimizing rules file
  * Generating jquery minified from source (Closes: #571786)

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Mon, 15 Mar 2010 21:28:46 -0300

jquery (1.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #568143)
  * Updated Standards-Version to 3.8.4 (no changes)
  * Changing my email for Debian address

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Wed, 03 Feb 2010 00:06:22 -0200

jquery (1.4-1) unstable; urgency=low

  [Steve Kemp]
  * New upstream release.

 -- Steve Kemp <skx@debian.org>  Thu, 14 Jan 2010 17:39:30 +0200

jquery (1.3.3-2ubuntu1) lucid; urgency=low

  * Merge from Debian testing, remaining changes:
    - Drop Recommends: javascript-common to a Suggests:; there's no reason
      we need to publish these scripts via http by default.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 09 Nov 2009 20:33:54 +0000

jquery (1.3.3-2) unstable; urgency=low

  [ Steve Kemp ]
  * Removed all non-Debian/ files.  We should work from the .orig.gz
  * Added.
  * Updated to use a -release.zip not the .js file for looking for releases.

  [ Daniel Baumann ]
  * Removing myself from uploaders.

 -- Daniel Baumann <daniel@debian.org>  Wed, 26 Aug 2009 17:39:30 +0200

jquery (1.3.3-1ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Drop Recommends: javascript-common to a Suggests:; there's no reason
      we need to publish these scripts via http by default.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 20 May 2009 12:33:40 +0000

jquery (1.3.3-1) unstable; urgency=high

  [ Steve Kemp ]
  * Re-upload with orig.tar.gz file present, unfortunately this means
    bumping the release number, but that is a small price to pay.
    (Closes: #526228)
  * Updated to standards version 3.8.1

 -- Steve Kemp <skx@debian.org>  Tue, 19 May 2009 21:11:01 +0000

jquery (1.3.2-2ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Drop Recommends: javascript-common to a Suggests:; there's no reason
      we need to publish these scripts via http by default.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 29 Apr 2009 23:01:44 +0000

jquery (1.3.2-2) unstable; urgency=high

  [ Steve Kemp ]
  * Correctly update the .min.js, .light.js, and .packaged.js files to
    be symlinks.
    - My own bad git usage.

 -- Steve Kemp <skx@debian.org>  Thu, 26 Feb 2009 16:00:16 +0000

jquery (1.3.2-1) unstable; urgency=low

  [ Steve Kemp ]
  * Updated to release 1.3.2 of jquery.
    (Closes: #515112)

 -- Steve Kemp <skx@debian.org>  Thu, 26 Feb 2009 15:55:51 +0000

jquery (1.2.6-2ubuntu1) jaunty; urgency=low

  * Drop Recommends: javascript-common to a Suggests:; there's no reason
    we need to publish these scripts via http by default.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 09 Apr 2009 07:20:04 +0000

jquery (1.2.6-2) unstable; urgency=medium

  [ Daniel Baumann ]
  * Updating to standards 3.8.0.

  [ Steve Kemp ]
  * Updated to the new 1.2.6 release
  * Correct the name of the library

  [ Daniel Baumann ]
  * Removing 'files' from unclean build.
  * Removing useless empty line at the end of links file.
  * Temporarily don't install packaged javascript files compressed by
    upstream until we have yuicompressor in the archive. To not break
    existing installations, symlinks to uncompressed jquery.js are
    shipped.
  * Correcting wrong symlinks of previous commit, thanks to Christian
    Hammers <ch@debian.org> (Closes: #495178).

 -- Daniel Baumann <daniel@debian.org>  Sat, 10 Jan 2009 14:21:00 -0500

=== debian/control ===
Source: jquery
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>, Steve Kemp <skx@debian.org>
Build-Depends: debhelper (>= 7.0.50~), yui-compressor
Standards-Version: 3.9.1
Homepage: http://jquery.com/
Vcs-Browser: http://git.debian.org/?p=pkg-javascript/jquery.git
Vcs-Git: git://git.debian.org/git/pkg-javascript/jquery.git

Package: libjs-jquery
Architecture: all
Conflicts: jquery
Replaces: jquery
Depends: ${misc:Depends}
Suggests: javascript-common
Description: JavaScript library for dynamic web applications
 jQuery is a fast, concise, JavaScript Library that simplifies how you
 traverse HTML documents, handle events, perform animations, and add Ajax
 interactions to your web pages. jQuery is designed to change the way
 that you write JavaScript.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_build:
	`yui-compressor dist/jquery.js -o dist/jquery.min.js`

override_dh_auto_clean:
	rm -f dist/jquery.min.js

=== debian/watch ===
version=3
http://docs.jquery.com/Downloading_jQuery \
  .*jquery-([\d\.]+).js

## jquery 1.6.2

=== debian/changelog ===
jquery (1.6.2-1ubuntu2) oneiric; urgency=low

  * Rebuild, to pick up fixes to the yui-compressor toolchain,
    LP: #811477

 -- Dustin Kirkland <kirkland@ubuntu.com>  Wed, 03 Aug 2011 12:56:13 -0500

jquery (1.6.2-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP: #811199) Remaining changes:
    - Drop Recommends: javascript-common to a Suggests:; there's no reason
      we need to publish these scripts via http by default.

 -- Angel Abad <angelabad@ubuntu.com>  Fri, 15 Jul 2011 20:51:16 +0200

jquery (1.6.2-1) unstable; urgency=low

  * New upstream release

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Thu, 14 Jul 2011 15:04:32 -0300

jquery (1.6.1-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP: #790086) Remaining changes:
    - Drop Recommends: javascript-common to a Suggests:; there's no reason
      we need to publish these scripts via http by default.

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 30 May 2011 08:53:51 +0200

jquery (1.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #628052)

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sun, 29 May 2011 20:21:27 -0300

jquery (1.5.1-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable. (LP: #782589) Remaining changes:
    - Drop Recommends: javascript-common to a Suggests:; there's no reason
      we need to publish these scripts via http by default.

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 16 May 2011 00:58:34 +0200

jquery (1.5.1-1) unstable; urgency=low

  * New upstream release

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sat, 26 Feb 2011 23:36:04 -0300

jquery (1.5-3) unstable; urgency=low

  * Installing version.txt (Closes: #595001)

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Thu, 24 Feb 2011 07:08:06 -0300

## jquery 1.7

=== debian/changelog ===
jquery (1.7-1) unstable; urgency=low

  * New upstream release (Closes: #649440)

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sun, 20 Nov 2011 22:14:10 -0200

jquery (1.6.4-1) unstable; urgency=low

  * New upstream release

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Mon, 26 Sep 2011 12:30:46 -0300

## jquery 1.7.1

=== debian/changelog ===
jquery (1.7.1-1) unstable; urgency=low

  * New upstream release

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sat, 24 Dec 2011 13:08:57 -0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: jquery
 Section: web
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>, Steve Kemp <skx@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), yui-compressor
 Standards-Version: 3.9.1
@@ -15,7 +14,7 @@
 Conflicts: jquery
 Replaces: jquery
 Depends: ${misc:Depends}
-Suggests: javascript-common
+Recommends: javascript-common
 Description: JavaScript library for dynamic web applications
  jQuery is a fast, concise, JavaScript Library that simplifies how you
  traverse HTML documents, handle events, perform animations, and add Ajax

## jquery 1.7.2%2Bdfsg

=== debian/watch ===
version=3
opts="dversionmangle=s/[+]dfsg(.?\d+)?$//" \
http://docs.jquery.com/Downloading_jQuery \
  .*jquery-([\d\.]+).js

## jquery 1.7.2+debian

=== debian/changelog ===
jquery (1.7.2+debian-1ubuntu1) quantal; urgency=low

  * Merge from Debian unstable (LP: #1006866).
    - Drop Recommends: javascript-common to a Suggests:; there's no reason
      we need to publish these scripts via http by default.
  * Back to yui-compressor instead of uglify
  * Removing applied patch
  * Added patch to use yui-compressor on makefile
  * added yuicompressor to Build-Depends again

 -- Yolanda Robla <yolanda.robla@canonical.com>  Mon, 04 Jun 2012 10:51:09 +0200

jquery (1.7.2+debian-1) unstable; urgency=high

  * Distfile does not contain complete source code (Closes: #665968)
    + Repacking tarball to add necessary build files
    + Using uglify to minify files
    + Updating copyright file

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Tue, 22 May 2012 21:26:51 -0300

jquery (1.7.2-1) unstable; urgency=low

  * New upstream release
  * Updated Standards-Version to 3.9.3
    + Machine-readable debian/copyright version 1.0

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sun, 25 Mar 2012 20:19:22 -0300

jquery (1.7.1-1ubuntu1) precise; urgency=low

  * Merge from Debian testing (LP: #913847). Remaining changes:
    - Drop Recommends: javascript-common to a Suggests:; there's no reason
      we need to publish these scripts via http by default.

 -- Leo Iannacone <l3on@ubuntu.com>  Fri, 20 Jan 2012 11:13:30 +0100

=== debian/control ===
Source: jquery
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>, Steve Kemp <skx@debian.org>
Build-Depends: debhelper (>= 7.0.50~), yui-compressor
Standards-Version: 3.9.3
Homepage: http://jquery.com/
Vcs-Browser: http://git.debian.org/?p=pkg-javascript/jquery.git
Vcs-Git: git://git.debian.org/git/pkg-javascript/jquery.git

Package: libjs-jquery
Architecture: all
Conflicts: jquery
Replaces: jquery
Depends: ${misc:Depends}
Suggests: javascript-common
Description: JavaScript library for dynamic web applications
 jQuery is a fast, concise, JavaScript Library that simplifies how you
 traverse HTML documents, handle events, perform animations, and add Ajax
 interactions to your web pages. jQuery is designed to change the way
 that you write JavaScript.

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,7 @@
 	dh $@
 
 override_dh_auto_build:
+	make
 	`yui-compressor dist/jquery.js -o dist/jquery.min.js`
 
 override_dh_auto_clean:

## jquery 1.7.2+dfsg

=== debian/changelog ===
jquery (1.7.2+dfsg-3ubuntu2) utopic; urgency=medium

  * Re-enable the no-min patch, avoiding build dependency on uglifyjs.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Jul 2014 15:58:09 +0200

jquery (1.7.2+dfsg-3ubuntu1) utopic; urgency=medium

  * Merge from debian. Remaining change:
    - debian/control: Suggest rather than recommend javascript-common;
      it's in universe and we don't necessarily need to publish these
      scripts via http
  * debian/rules: Add fix from debian for make 4.0

 -- Jackson Doak <noskcaj@ubuntu.com>  Mon, 16 Jun 2014 07:27:09 +1000

jquery (1.7.2+dfsg-3) unstable; urgency=low

  * Generating jquery minified from source again (Closes: #495178)
  * Added lintian override:
    jquery source: license-problem-json-evil debian/README.Debian
  * Updated Standards-Version to 3.9.4 (no changes)

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Thu, 01 Aug 2013 21:27:33 -0300

jquery (1.7.2+dfsg-2ubuntu1) saucy; urgency=low

  * Sync with Debian (LP: #1197055). Remaining change:
    - debian/control: Suggest rather than recommend javascript-common;
      it's in universe and we don't necessarily need to publish these
      scripts via http

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 02 Jul 2013 13:24:53 -0400

jquery (1.7.2+dfsg-2) unstable; urgency=high

  * Added Breaks to movabletype-opensource (Closes: #700527)
    Thanks Dominic Hargreaves and gregor herrmann

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Sat, 11 May 2013 13:34:03 -0300

jquery (1.7.2+dfsg-1) unstable; urgency=high

  * Removed non-free files in upstream tarball (Closes: #692618)

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Thu, 15 Nov 2012 13:11:00 -0200

jquery (1.7.2+debian-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Don't ship minified js, uglify is not in wheezy (closes: #679665).
  * Make build a phony target explicitly, since there's a build directory in
    the source package.

 -- Julien Cristau <jcristau@debian.org>  Sat, 04 Aug 2012 08:26:20 +0200

jquery (1.7.2+debian-2) unstable; urgency=low

  * libjs-jquery package should be marked Multi-Arch: foreign
    (Closes: #676838); Thanks Nicolas Le Cam

 -- Marcelo Jorge Vieira (metal) <metal@debian.org>  Thu, 14 Jun 2012 12:18:51 -0300

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>, Steve Kemp <skx@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), yui-compressor
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 7.0.50~)
+Standards-Version: 3.9.4
 Homepage: http://jquery.com/
 Vcs-Browser: http://git.debian.org/?p=pkg-javascript/jquery.git
 Vcs-Git: git://git.debian.org/git/pkg-javascript/jquery.git
 
 Package: libjs-jquery
 Architecture: all
+Multi-Arch: foreign
 Conflicts: jquery
 Replaces: jquery
+Breaks: movabletype-opensource (<< 5.1.4+dfsg-3~)
 Depends: ${misc:Depends}
 Suggests: javascript-common
 Description: JavaScript library for dynamic web applications

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@

override_dh_auto_clean:
	rm -rf dist/
	dh_clean

override_dh_clean:
	rm -rf dist/
	rm -f build/.sizecache.json
	dh_clean

.PHONY: build

## jquery 1.11.3%2Bdfsg

=== debian/changelog ===
jquery (1.11.3+dfsg-4~bpo8+1+0~20170422103458.6+jessie~1.gbp503bdf) jessie-backports; urgency=medium

  ** SNAPSHOT build @503bdf5e46b93588412302113a3ee176229e3924 **

  [ Mario Fetka ]
  * remove gbp

  [ jenkins-debian-glue Autobuilder ]

 -- jenkins-debian-glue Autobuilder <jenkins@debbuild.disconnected-by-peer.at>  Sat, 22 Apr 2017 12:35:00 +0200

jquery (1.11.3+dfsg-4~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 11 Nov 2015 19:12:14 -0200

jquery (1.11.3+dfsg-4) unstable; urgency=medium

  * debian/rules: remove `//# sourceMappingURL=..` magic comment from minified
    file, as uptream does (Closes: #799825)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 23 Sep 2015 09:31:49 -0300

jquery (1.11.3+dfsg-3) unstable; urgency=medium

  * move logic from debian/build.mk to debian/rules
  * debian/rules: use node-requirejs to build, as does upstream
  * debian/build.js: turned into a node-requirejs build file
  * debian/control: Build-Depends: node-requirejs

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 28 Aug 2015 22:45:19 -0300

jquery (1.11.3+dfsg-2) unstable; urgency=medium

  * debian/build.mk: read date from changelog (Closes: #782899)
  * Acknowledge previous NMUs (Closes: #748377, #759672)
    - Thanks Paul Gevers
    - The corresponding changes do not apply anymore since the build is now
      completely different.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 25 Aug 2015 15:55:54 -0300

jquery (1.11.3+dfsg-1) unstable; urgency=medium

  * New upstream release (Closes: #730014)
  * drop debian/patches: only patch in there does not apply anymore
  * Added locally-hacked build system:
    - debian/build.mk (called from debian/rules)
    - debian/build.js (called from debian/build.mk)
    - debian/build-1.11.3.txt (used as input by debian/build.mk)
    .
    This reproduces the build that you would get with grunt, modulo comment
    lines and empty lines, which go away when the file is minified anyway.
  * debian/install: also ship jquery.min.map
  * debian/watch: point at github
  * Add myself to Uploaders:
  * debian/copyright: list dist/ in Files-Excluded:
  * bump debhelper compatibility level to 9

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 21 Aug 2015 20:49:22 +0200

jquery (1.7.2+dfsg-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix in previous upload was technically not correct. Re-add the phony build
    target again and actually fix the make problem (mixed implicit and normal
    rules) by unmixing.

 -- Paul Gevers <elbrus@debian.org>  Fri, 29 Aug 2014 10:59:15 +0200

jquery (1.7.2+dfsg-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS by removing build target as it used deprecated syntax
    (Closes: #709901)

 -- Paul Gevers <elbrus@debian.org>  Wed, 27 Aug 2014 21:29:27 +0200

## jquery 1.11.3+dfsg

=== debian/control ===
Source: jquery
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>,
           Steve Kemp <skx@debian.org>,
           Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 9~),
               node-requirejs,
               node-source-map,
               node-uglify,
               nodejs,
Standards-Version: 3.9.6
Homepage: http://jquery.com/
Vcs-Git: git://anonscm.debian.org/pkg-javascript/jquery.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/jquery.git

Package: libjs-jquery
Architecture: all
Multi-Arch: foreign
Conflicts: jquery
Replaces: jquery
Breaks: movabletype-opensource (<< 5.1.4+dfsg-3~)
Depends: ${misc:Depends}
Recommends: javascript-common
Description: JavaScript library for dynamic web applications
 jQuery is a fast, concise, JavaScript Library that simplifies how you
 traverse HTML documents, handle events, perform animations, and add Ajax
 interactions to your web pages. jQuery is designed to change the way
 that you write JavaScript.

=== debian/watch ===
version=3
opts="dversionmangle=s/[+]dfsg(.?\d+)?$//" \
https://github.com/jquery/jquery/releases \
  .*/(1\.[\d\.]+).tar.gz

## jquery 1.12.3

=== debian/changelog ===
jquery (1.12.3-1) unstable; urgency=medium

  * New upstream release
    - debian/build.js: port applicable upstream changes in
      build/tasks/build.js since previous version
    - Bundled copies of external libraries removed:
      - external/npo
      - external/qunit
      - external/qunit-assert-step
      - external/requirejs
      - external/sinon
  * Drop the version number mangling to add a `+dfsg` suffix. First the
    changes from upstream are not due to the DFSG, but are removing pre-built
    Javascript files, which is not a problem according to the DFSG, but a
    policy. Second, if the package is in the Debian main component, obviously
    it complies with the DFSG. Anyway, the files removed are documented in
    debian/copyright.
    - debian/watch: remove version mangling options.
  * Copy and adapt autopkgtest tests from experimental branch
    - debian/tests/check-against-upstream-build: use https instead of http for
      retrieving upstream release
  * debian/rules:
    - cope with removal of upstream version mangling
    - change date formatting to cope with changes in output of `date
      --iso-8601=m` starting with coreutils 8.25
    - drop workaround for bug in upstream build that has been fixed
    - add a simple build-time test under override_dh_auto_test
  * debian/control:
    - Bump Standards-Version to 3.9.7, no changes needed
    - Use https in Vcs-* URLs
  * debian/copyright:
    - cope with the location change for sizzle

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 09 Apr 2016 10:55:14 -0300

## jquery 1.12.4

=== debian/changelog ===
jquery (1.12.4-1~bpo8+1) UNRELEASED; urgency=medium

  * jessie-backports Rebuilt for jessie.

 -- Antonio Terceiro <terceiro@debian.org>  Tue, 09 Aug 2016 18:42:07 +0000

jquery (1.12.4-1) unstable; urgency=medium

  * New upstream release

 -- Antonio Terceiro <terceiro@debian.org>  Fri, 17 Jun 2016 10:52:43 -0300

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,9 @@
                node-source-map,
                node-uglify,
                nodejs,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Homepage: http://jquery.com/
-Vcs-Git: git://anonscm.debian.org/pkg-javascript/jquery.git
+Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/jquery.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/jquery.git
 
 Package: libjs-jquery

=== debian/rules ===
#!/usr/bin/make -f

source = $(shell find src/ -name '*.js')
timestamp = $(shell date --iso-8601=minutes --utc --date="$(shell dpkg-parsechangelog -S Date)" | sed -e 's/+00:\?00/Z/')
version = $(shell dpkg-parsechangelog -SVersion | cut -d - -f 1)

override_dh_auto_build: dist/jquery.js dist/jquery.min.js dist/jquery.min.map
	dh_auto_build

override_dh_auto_test:
	nodejs --check dist/jquery.js
	nodejs --check dist/jquery.min.js
	./debian/tests/check-minification dist/jquery.min.js

build.js: debian/build.js
	cp $< $@

dist/jquery.js: build.js $(source)
	nodejs /usr/lib/nodejs/r.js -o build.js
	sed -i -e 's/@DATE/$(timestamp)/; s/@VERSION/$(version)/' $@

dist/jquery.min.js dist/jquery.min.map: dist/jquery.js
	uglifyjs \
		--source-map dist/jquery.min.map \
		--source-map-url jquery.min.map \
		--output dist/jquery.min.js \
		$^
	sed -i -e '/\/\/# sourceMappingURL=\S\+/ d' dist/jquery.min.js

override_dh_auto_clean:
	$(RM) -rf dist/
	$(RM) build.js
	dh_auto_clean

%:
	dh $@

=== debian/tests/control ===
Tests: check-against-upstream-build, check-minification
Depends: @, wget, ca-certificates

=== debian/watch ===
version=3
https://github.com/jquery/jquery/releases .*/(1\.[\d\.]+).tar.gz

## jquery 3.1.1

=== debian/changelog ===
jquery (3.1.1-2+deb9u1) stretch; urgency=medium

  * Team upload
  * Add patch to prevent Object.prototype pollution
    (Closes: #927385, CVE-2019-11358)
  * Disable check-against-upstream-build test (autopkgtest) since file is now
    patched

 -- Xavier Guimard <yadd@debian.org>  Thu, 18 Apr 2019 22:57:29 +0200

jquery (3.1.1-2) unstable; urgency=medium

  * debian/rules: adapt path to r.js after a change in nodejs-requirejs
    (Closes: #847740)

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 11 Dec 2016 13:18:53 -0200

jquery (3.1.1-1) unstable; urgency=medium

  * Uploading jQuery 3.x to unstable
  * New upstream version 3.1.1
  * debian/rules, debian/build.js: adapt Debian build to changes in upstream
    build
  * Bump Standards-Version to 3.9.8; no changes needed.

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 16 Oct 2016 14:34:46 -0200

jquery (3.0.0~beta1-1) experimental; urgency=medium

  * New upstream release
    - Drop `compat` branch, which has also been dropped upstream.
      See http://blog.jquery.com/2016/01/14/jquery-3-0-beta-released/
      for details
    - Removed embedded copies of external libraries (of which some didn't have
      proper sources and only provided minified code):
      - external/npo
      - external/qunit
      - external/qunit-assert-step
      - external/requirejs
      - external/sinon
  * Drop the version number mangling to add a `+dfsg` suffix. First the
    changes from upstream are not due to the DFSG, but are removing pre-built
    Javascript files, which is not a problem according to the DFSG, but a
    policy. Second, if the package is in the Debian main component, obviously
    it complies with the DFSG. Anyway, the files removed are documented in
    debian/copyright.
    - debian/watch: remove version mangling options.
    - debian/rules: updated version number parsing
    - debian/tests/check-against-upstream-build: updated version number parsing
  * debian/build.js: adapt to changes in upstream build system
  * debian/rules: change date formatting to cope with changes in output
    of `date --iso-8601=m` starting with coreutils 8.25
  * debian/control:
    - bump Standards-Version to 3.9.7; no changes needed
    - use https URLs in Vcs-*
  * debian/tests/check-against-upstream-build: download upstream build over
    https
  * debian/rules: add simple build-time tests on override_dh_auto_test

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 09 Apr 2016 14:30:31 -0300

jquery (3.0.0~alpha1+dfsg-2) experimental; urgency=medium

  * remove unused lintian overrides
  * debian/minify: remove `//# sourceMappingURL=..` magic comment, as uptream
    does (Closes: #799825)

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 23 Sep 2015 09:33:43 -0300

jquery (3.0.0~alpha1+dfsg-1) experimental; urgency=medium

  * New upstream release. Includes:
    - the regular release (successor to jQuery 2.x) in
      /usr/share/javascript/jquery/
    - the "compat" branch (successor to jquery 1.x) in
      /usr/share/javascript/jquery-compat/
  * debian/watch:
    - also look for alpha/beta versions
    - automate adding +dfsg to downloaded upstream tarballs
    - call debian/prepare-tarball to prepare the tarball used as upstream
      source. See debian/README.source.md.
  * Added DEP-8 tests:
    - debian/tests/check-against-upstream-build: checks that our build matches
      upstream's.

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 02 Sep 2015 11:01:01 -0300

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                node-source-map,
                node-uglify,
                nodejs,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://jquery.com/
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/jquery.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/jquery.git

=== debian/tests/control ===
Tests: check-minification
Depends: @, wget, ca-certificates

## jquery 3.2.1

=== debian/changelog ===
jquery (3.2.1-1) unstable; urgency=medium

  [ Antonio Terceiro ]

  * Drop myself from Uploaders:. I have no intention of working in this
    package anymore.

  [ Marcelo Jorge Vieira ]

  * New upstream version 3.2.1
  * Changed section from 'web' to 'javascript'
  * Drop Steve Kemp from uploaders
  * Bump Standards-Version to 4.0.0 (no changes)

 -- Marcelo Jorge Vieira <metal@debian.org>  Sat, 02 Sep 2017 21:14:01 -0300

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: jquery
-Section: web
+Section: javascript
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
-Uploaders: Marcelo Jorge Vieira (metal) <metal@debian.org>,
-           Steve Kemp <skx@debian.org>,
-           Antonio Terceiro <terceiro@debian.org>
+Uploaders: Marcelo Jorge Vieira <metal@debian.org>
 Build-Depends: debhelper (>= 9~),
                node-requirejs,
                node-source-map,
                node-uglify,
                nodejs,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://jquery.com/
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/jquery.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/jquery.git

=== debian/rules ===
#!/usr/bin/make -f

source = $(shell find src/ -name '*.js')
timestamp = $(shell date --iso-8601=minutes --utc --date="$(shell dpkg-parsechangelog -S Date)" | sed -e 's/+00:\?00/Z/')
version = $(shell dpkg-parsechangelog -SVersion | cut -d - -f 1 | sed 's/~/-/')

override_dh_auto_build: dist/jquery.js dist/jquery.min.js dist/jquery.min.map
	dh_auto_build

build.js: debian/build.js
	cp $< $@

dist/jquery.js: start.js end.js build.js $(source)
	nodejs /usr/lib/nodejs/requirejs/r.js -o build.js
	sed -i -e 's/@DATE/$(timestamp)/; s/@VERSION/$(version)/' $@
	@echo "Checking syntax of $@ ..."
	nodejs --check $@ || (mv $@ $@.failed; false)

start.js: src/wrapper.js
	sed -e '/^\/\*\s*eslint-/d; /^\/\/ @CODE/,$$ d' $< > $@ || ($(RM) $@; false)

end.js: src/wrapper.js
	sed -e '1,/^\/\/ @CODE/ d; /\/\/ build.js inserts compiled jQuery here/d' $< > $@ || ($(RM) $@; false)

dist/jquery.min.js dist/jquery.min.map: dist/jquery.js
	./debian/minify $^

override_dh_auto_test:
	nodejs --check dist/jquery.js
	nodejs --check dist/jquery.min.js
	./debian/tests/check-minification dist/jquery.min.js

override_dh_auto_clean:
	$(RM) -rf dist/
	$(RM) build.js
	$(RM) start.js end.js
	dh_auto_clean

%:
	dh $@

=== debian/watch ===
version=3
opts="uversionmangle=s/-/~/;" \
https://github.com/jquery/jquery/releases .*/([0-9][0-9a-z.-]+)\.tar\.gz

## jquery 3.3.1~dfsg

=== debian/changelog ===
jquery (3.3.1~dfsg-3) unstable; urgency=medium

  * Team upload
  * Disable check-against-upstream-build test (autopkgtest) since file is now
    patched. Fixes debci

 -- Xavier Guimard <yadd@debian.org>  Fri, 19 Apr 2019 08:52:35 +0200

jquery (3.3.1~dfsg-2) unstable; urgency=medium

  * Team upload
  * Add patch to prevent Object.prototype pollution (Closes: #927385)
  * Upgrade links to https

 -- Xavier Guimard <yadd@debian.org>  Thu, 18 Apr 2019 22:34:14 +0200

jquery (3.3.1~dfsg-1) unstable; urgency=medium

  * Team upload.

  [ upstream ]
  * New release(s).

  [ Jonas Smedegaard ]
  * Update autopkgtest:
    + Check simple use of browser library.
    + Strip dfsg suffix when resolving upstream URL.
  * Add git-buildpackage configfile:
    + Enable pristine-tar and signed tags.
    + Filter any .git* files.
  * Update watch file:
    + Bump watch file format version to 4.
    + Add usage comment.
    + Use substitution strings.
    + Track tags (not releases).
    + Add dversionmangle and repacksuffix.
  * Fix strip pre-generated code files when repackaging source tarball.
  * Add helper script to source for tracking copyright and licensing.
  * Declare compliance with Debian Policy 4.3.0.
  * Update Vcs-* fields: Packaging moved to Salsa.
  * Set Rules-Requires-Root: no.
  * Relax to build-depend unversioned on debhelper:
    Needed version satisfied even in oldstable.
  * Provide gzip and brotli pre-compressed files.
    Build-depend on brotli pigz.

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 30 Jan 2019 04:06:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 timestamp = $(shell date --iso-8601=minutes --utc --date="$(shell dpkg-parsechangelog -S Date)" | sed -e 's/+00:\?00/Z/')
 version = $(shell dpkg-parsechangelog -SVersion | cut -d - -f 1 | sed 's/~/-/')
 
-override_dh_auto_build: dist/jquery.js dist/jquery.min.js dist/jquery.min.map
+override_dh_auto_build: dist/jquery.js dist/jquery.min.js.gz dist/jquery.min.map.gz
 	dh_auto_build
 
 build.js: debian/build.js
@@ -36,5 +36,12 @@
 	$(RM) start.js end.js
 	dh_auto_clean
 
+# pre-compress for browser use
+%.gz: %
+	pigz --force --keep -11 -- $<
+	brotli --force --keep --best -- $<
+
 %:
 	dh $@
+
+.SECONDARY:

=== debian/tests/control ===
Tests: check-minification
Depends:
 ca-certificates,
 wget,
 @,

Test-Command: node -e "
 var \$ = require('/usr/share/javascript/jquery/jquery')(require('domino').createWindow());
 \$('body').append('<div>TEST</div>');
 console.log(\$('body').html());
 " | grep -q '<div>TEST</div>'
Depends:
 libjs-jquery,
 node-domino,

## jquery 3.3.1~dfsg.1

=== debian/changelog ===
jquery (3.3.1~dfsg.1-3+security) unstable; urgency=medium

  * update

 -- Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>  Sun, 04 Apr 2021 15:35:41 +0800

=== debian/control ===
Source: jquery
Section: javascript
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders:
 Marcelo Jorge Vieira <metal@debian.org>,
Build-Depends:
 brotli,
 debhelper,
 node-requirejs,
 node-source-map,
 node-uglify,
 nodejs,
 pigz,
Standards-Version: 4.3.0
Homepage: https://jquery.com/
Vcs-Git: https://salsa.debian.org/js-team/jquery.git
Vcs-Browser: https://salsa.debian.org/js-team/jquery
Rules-Requires-Root: no

Package: libjs-jquery
Architecture: all
Multi-Arch: foreign
Conflicts:
 jquery,
Replaces:
 jquery,
Breaks:
 movabletype-opensource (<< 5.1.4+dfsg-3~),
Depends:
 ${misc:Depends},
Recommends:
 javascript-common,
Description: JavaScript library for dynamic web applications
 jQuery is a fast, concise, JavaScript Library
 that simplifies how you traverse HTML documents, handle events,
 perform animations, and add Ajax interactions to your web pages.
 jQuery is designed to change the way that you write JavaScript.

=== debian/watch ===
# run "uscan --report" to check or "gbp import-orig --uscan" to update
version=4
opts=\
uversionmangle=s/-/~/,\
dversionmangle=s/[~+]dfsg\d*$//,repacksuffix=~dfsg,\
filenamemangle=s/.*?v?(@ANY_VERSION@@ARCHIVE_EXT@)/@PACKAGE@-$1/ \
https://github.com/jquery/jquery/tags \
.*?v?@ANY_VERSION@@ARCHIVE_EXT@
